<?php
ini_set("SMTP", "smtp.chello.nl");
ini_set("smtp_port", 25);
ini_set ("sendmail_from", "burger@leer-php.nl");
$to = $_POST["to"];
$subject = $_POST["subject"];
$redirect = $_POST["redirect"];
if (!$to) { // Bevat to geen waarde?
	echo "U heeft geen ontvanger opgegeven!";
	exit;
}

reset($_POST); // Zet de array pointer op 0, begin bij het begin
while($postvar = each($_POST)) {
	$varnaam = $postvar['key'];
	$varinhoud = $postvar['value'];
	$boodschap .= $varnaam."=".$varinhoud."\n"; // Boodschap bevat
}

mail($to, $subject, $boodschap); // stuur de mail  (aan, onderwerp, mail)

if (isset($redirect)) {  // Bevat redirect een waarde?
	header("location: $redirect");
}

?>
